Summary:	Graphical interface for creating flam3 fractal images
Name:		qosmic
Version:	1.5.0
Release:	%mkrel 10
License:	GPLv2
Group:		Graphics/Editors and Converters
Url:		http://code.google.com/p/qosmic
Source0:	http://qosmic.googlecode.com/files/%{name}-%{version}.tar.bz2
# http://code.google.com/p/qosmic/issues/detail?id=22
Source1:	%{name}.desktop
# http://code.google.com/p/qosmic/issues/detail?id=15
Source2:	qosmic_ru.ts
Source3:	qosmic_cs.ts
Patch1:		%{name}-1.5.0-mga-add-i18n.patch
Patch2:		%{name}-1.5.0-mga-detect-load-i18n.patch
BuildRequires:	qt4-devel
BuildRequires:	jpeg-devel
BuildRequires:	pkgconfig(flam3)
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	lua5.1-devel
# The code assumes qreal == double while it's float on arm
# This can be fixed in many places, but not easily as flam3
# API is all about doubles.
ExcludeArch:	%arm

%description
Qosmic is graphical interface for creating, editing, and rendering
flam3 fractal images. The electricsheep screen saver has been gaining
popularity, and Qosmic was developed to provide a Qt interface for
people interested in creating and contributing sheep.

%prep
%setup -q
%patch1 -p1
%patch2 -p1

cp -f %{SOURCE1} ./
cp -f %{SOURCE2} ./ts/
cp -f %{SOURCE3} ./ts/

%build
%{_qt4_bindir}/lrelease %{name}.pro
%qmake_qt4
%make

%install
%make_install INSTALL_ROOT=%{buildroot}

%__mkdir -p %{buildroot}%{_datadir}/%{name}/translations
%__cp -f ./ts/*.qm %{buildroot}%{_datadir}/%{name}/translations/

%files
%doc README* changes.txt scripts
%{_bindir}/*
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}icon.xpm
%{_datadir}/%{name}/translations/*.qm


%changelog
* Thu Feb 02 2017 pterjan <pterjan> 1.5.0-10.mga6
+ Revision: 1084592
- Disable build on ARM

* Fri Feb 19 2016 daviddavid <daviddavid> 1.5.0-9.mga6
+ Revision: 969578
- add patch3 to try to fix build on ARM

* Fri Feb 19 2016 umeabot <umeabot> 1.5.0-8.mga6
+ Revision: 968829
- Mageia 6 Mass Rebuild

* Mon Jul 20 2015 alexl <alexl> 1.5.0-7.mga6
+ Revision: 855632
- fix a problem detecting and loading translations (detect-load-i18n.patch from upstream)

* Mon Jul 20 2015 alexl <alexl> 1.5.0-6.mga6
+ Revision: 855628
- add Czech translation (thanks to Pavel Fric)

* Wed Jul 01 2015 alexl <alexl> 1.5.0-5.mga6
+ Revision: 849362
- rebuild for flam3

* Sun Oct 19 2014 alexl <alexl> 1.5.0-4.mga5
+ Revision: 791630
- updated desktop file
- fixed i18n (add-i18n.patch)
- added Russian translation
- used makeinstall macros instead of manual installation
- installed scripts in doc dir

* Wed Oct 15 2014 umeabot <umeabot> 1.5.0-3.mga5
+ Revision: 743911
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.5.0-2.mga5
+ Revision: 688502
- Mageia 5 Mass Rebuild

* Mon Apr 14 2014 alexl <alexl> 1.5.0-1.mga5
+ Revision: 614038
- imported package qosmic

